The existing Portal is being replaced by the Jupiter Developer Platform with new pricing, rate limits, and features. We will share more details about the migration plan soon.
cURL
curl --request GET \ --url https://api.jup.ag/prediction/v1/events/search \ --header 'x-api-key: <api-key>'
{ "data": [ { "eventId": "<string>", "isActive": true, "isLive": true, "category": "<string>", "subcategory": "<string>", "volumeUsd": "<string>", "closeCondition": "<string>", "beginAt": "<string>", "rulesPdf": "<string>", "tags": [ "<string>" ], "markets": [ { "marketId": "<string>", "status": "open", "result": null, "openTime": 123, "closeTime": 123, "resolveAt": 123, "marketResultPubkey": "<string>", "imageUrl": "<string>", "pricing": { "buyYesPriceUsd": 123, "buyNoPriceUsd": 123, "sellYesPriceUsd": 123, "sellNoPriceUsd": 123, "volume": 123 } } ] } ] }
Search for events by title or keyword
Get API key via https://portal.jup.ag
Data provider for events (defaults to polymarket)
kalshi
polymarket
Search term matched against event titles
1 - 200
1 <= x <= 20
Events matching the search query
Show child attributes
Was this page helpful?